import numpy as np

def preprocess(text):
    text = text.lower()
    text = text.replace("."," .")
    words = text.split(" ")

    word_to_id = {}
    id_to_word = {}
    for word in words:
        if word not in word_to_id:
            new_id = len(word_to_id)
            word_to_id[word] = new_id
            id_to_word[new_id] = word

    corpus = np.array([word_to_id[w] for w in words])

    return corpus, word_to_id, id_to_word

if __name__=="__main__":
        corpus,word_to_id, id_to_word = preprocess("You say goodbye and I say hello.")
        if len(corpus) == 8:
                print("Yes")